<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"> 
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Demonstration</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/custom.css" >
    </head>
  <body>

  <header>  
    <nav class="navbar navbar-expand-md navbar-light border-bottom p-3 ">
    <a href="javascript:openNav()" class="d-md-none" ><span data-feather="menu"></span></a>
    <h6 class="float-left my-0 mr-md-auto font-weight-bold logo text-left">Demonstration</h6>
    <span class="float-right small text-success" style="position:absolute;top:0;right:15px" >Logged in as :mthaha@gmail.com</span>
    <h6 class="my-0 font-weight-bold logo">Administrative Area</h6>
    </nav>
  </header>   



    <div class="container-fluid ">
      <div class="row">
      
        <nav class="col-md-3 col-lg-2  d-md-block bg-light  sidenav" id="mySidenav" style="padding-left:0;padding-right:0" >
         <a href="javascript:void(0)" class="closebtn d-md-none" onclick="closeNav()">&times;</a>
          <div>
            <ul class="nav flex-column">
              <li class="nav-item">
                <a class="nav-link " href="dashboard.html">
                  <span data-feather="home"></span>
                  Dashboard <span class="sr-only">(current)</span>
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" href="products.html">
                  <span data-feather="user"></span>
                  Products Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="file"></span>
                  Stock Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="share"></span>
                  Distributor Management               </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="layers"></span>
                  Invoice Management
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="bar-chart-2"></span>
                  Reports
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">
                  <span data-feather="lock"></span>
                  Change Password
                </a>
              </li>
                           
             <li class="nav-item">
                <a class="nav-link" href="login.html">
                  <span data-feather="log-out"></span>
                  Logout
                </a>
              </li>
            </ul>

          </div>
        </nav>

        <main role="main" id="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
          
        <nav aria-label="breadcrumb" >
          <ol class="breadcrumb mt-3">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item"><a href="products.html">Product Management</a></li>
            <li class="breadcrumb-item active" aria-current="page">Product details</li>
          </ol>
        </nav>
          
          <h5>Product details</h5>
                
          <div class="table-responsive">
            <table class="table table-bordered">
                <tr>
                  <td class="table-viewhead">Product Name</td>
                  <td id="name"></td>
                  <td class="table-viewhead">Price</td>
                  <td id="price"></td>
                </tr>
               <tr>
                  <td class="table-viewhead">Description</td>
                  <td colspan="3" id="description"></td>
                </tr>
                 <tr>
                  <td class="table-viewhead">Image</td>
                  <td></td>
                  <td class="table-viewhead" >Created IP</td>
                  <td></td>
                </tr>
            </table>
             
         </div>
          
        </main>
      </div>
    </div>

<footer class="text-center">
                 <p>© Copyright 2018  - All rights reserved</p>
</footer>  

<script>
   
    document.getElementById("mySidenav").style.display = "none";
     /* Set the width of the side navigation to 250px */
    function openNav() {
      document.getElementById("mySidenav").style.width = "250px";
      document.getElementById("mySidenav").style.display = "block";
    }

    /* Set the width of the side navigation to 0 */
    function closeNav() {
        document.getElementById("mySidenav").style.width = "0";
    }  
    </script>



      <!-- Icons -->
    <script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

    <script>
      feather.replace()
    </script>
    
    
<script type = "text/javascript" language = "javascript">
    var id = getUrlParameter('id') 
   
        $.ajax({  
                url: 'http://localhost:8000/api/products/'+id,  
                type: 'GET',  
                dataType: 'json',  
                data: '',  
                success: function (data, textStatus, xhr) {  
                    console.log(data.name);  
                    $('#name').html(data.name)
                    $('#price').html(data.price)
                    $('#description').html(data.description);
                    $('#category_id').html(data.category_id)
                },  
                error: function (xhr, textStatus, errorThrown) {  
                    console.log('Error in Operation'); 
                   
                }  
            });  
            
      
    function getUrlParameter(sParam) {
    var sPageURL = decodeURIComponent(window.location.search.substring(1)),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : sParameterName[1];
        }
    }
};

      </script>

   

  
  </body>
</html>
